import { Request, Response } from 'express';
import Server from '../Server.js';
/**
 * Creates an async function that handles serverless events and sends a response.
 * @param {Server['handleServerlessEvent']} serverlessHandler - The serverless handler function.
 * @returns {Function} - An async function that handles the request and sends a response.
 */
declare const _default: (serverlessHandler: Server["handleServerlessEvent"]) => (request: Request, res: Response) => Promise<void>;
export default _default;
