/**
 * Parses the multi-value query string parameters from the given URL.
 * @param {string} url - The URL containing the query string parameters.
 * @returns {Object} - An object representing the parsed query string parameters.
 */
export declare function parseMultiValueQueryStringParameters(url: string): any;
/**
 * Parses the query string parameters from a given URL.
 * @param {string} url - The URL to parse the query string parameters from.
 * @returns {object | null} - An object containing the parsed query string parameters, or null if there are no parameters.
 */
export declare function parseQueryStringParameters(url: any): {
    [k: string]: string;
};
