import type { Config } from '@jest/types'
/* eslint-env node */
const config: Config.InitialOptions = {
  testEnvironment: 'node',
  // ECMA suppport https://jestjs.io/docs/ecmascript-modules
  transform: {},
  //
  reporters: [
    'default',
    [
      'jest-junit',
      {
        outputDirectory: 'coverage',
        outputName: 'jest-junit.xml',
        ancestorSeparator: ' › ',
        uniqueOutputName: 'false',
        suiteNameTemplate: '{filepath}',
        classNameTemplate: '{classname}',
        titleTemplate: '{title}',
      },
    ],
  ],
  coverageReporters: ['clover', 'json', 'lcov', ['text', { file: 'coverage.txt' }], 'json-summary'],
  collectCoverageFrom: ['src/**/*.(t|j)s', '!src/**/*.d.(t|j)s'],
  coverageThreshold: {
    global: {
      branches: 70,
      functions: 70,
      lines: 70,
      statements: 70,
    },
  },
}
export default config
