import { Database } from './Database.js'
import { DatabaseManager } from './DatabaseManager.js'
import { DatabaseTransaction } from './DatabaseTransaction.js'
import { DynamoDatabase } from './integrations/dynamo/DynamoDatabase.js'
import { KyselyDatabase } from './integrations/kysely/KyselyDatabase.js'
import { KyselyTransaction } from './integrations/kysely/KyselyTransaction.js'
import { PostgresDatabase } from './integrations/pgsql/PostgresDatabase.js'
import { PostgresTransaction } from './integrations/pgsql/PostgresTransaction.js'
import { DbConfig } from './types.js'

export {
  // Abstracts
  DatabaseTransaction,
  Database,
  // 'Entrypoints'
  DatabaseManager,
  DbConfig,
  // Postgres
  PostgresTransaction,
  PostgresDatabase,
  // Kysely
  KyselyTransaction,
  KyselyDatabase,
  // Dynamo
  // DynamoTransaction,
  DynamoDatabase,
}
