import { jest } from '@jest/globals'
import { expect } from 'chai'

import ContainerServer from '../../src/Server/lib/ContainerServer.js'
import Server from '../../src/Server/lib/Server.js'
import Router from '../../src/Server/Router.js'

describe('Router basics', () => {
  // @ts-ignore
  let mockExit = jest.spyOn(process, 'exit').mockImplementation(() => {})
  beforeAll(() => {
    // @ts-ignore
    mockExit = jest.spyOn(process, 'exit').mockImplementation(() => {})
  })
  afterAll(() => {
    mockExit.mockRestore()
  })
  beforeEach(() => {
    mockExit.mockReset()
  })

  test('Serverless server', async () => {
    process.env['HYBRIDLESS_RUNTIME'] = undefined
    const router = new Router({ routes: [] })
    expect(router.getExport()).to.not.be.undefined
    expect(router['server']).to.be.an.instanceof(Server)
    expect(router['server']).to.not.be.an.instanceof(ContainerServer)
  })
  test('Container server', async () => {
    process.env['HYBRIDLESS_RUNTIME'] = 'true'
    const router = new Router({ routes: [] })
    expect(router.getExport()).to.not.be.undefined
    expect(router['server']).to.be.an.instanceof(Server)
    expect(router['server']).to.be.an.instanceof(ContainerServer)
    await router['server']['stop']()
  })
})

export {}
