import { expect } from 'chai'

import * as Utils from '../../../../src/Server/lib/container/Utils.js'

describe('parseQueryStringParameters', () => {
  test('Null url', () => {
    // @ts-ignore
    const validationResult = Utils.parseQueryStringParameters(null)
    expect(validationResult).to.be.deep.equals({})
  })

  test('Empty url', () => {
    const validationResult = Utils.parseQueryStringParameters('')
    expect(validationResult).to.be.deep.equals({})
  })

  test('Simple param', () => {
    const validationResult = Utils.parseQueryStringParameters('/status?name=ryan')
    expect(validationResult).to.be.deep.equals({
      name: 'ryan',
    })
  })
})

describe('parseMultiValueQueryStringParameters', () => {
  test('Null url', () => {
    // @ts-ignore
    const validationResult = Utils.parseMultiValueQueryStringParameters()
    expect(validationResult).to.be.deep.equals({})
  })

  test('Empty url', () => {
    const validationResult = Utils.parseMultiValueQueryStringParameters('')
    expect(validationResult).to.be.deep.equals({})
  })

  test('Simple multivalue param', () => {
    const validationResult = Utils.parseMultiValueQueryStringParameters(
      '/status?name=ryan&name=ryan2'
    )
    expect(validationResult).to.be.deep.equals({
      name: ['ryan', 'ryan2'],
    })
  })
})

export {}
